.article-content h1 {
    font-size: 2.4rem;
    line-height: 1.1;
    margin-bottom: 30px;
    word-wrap: break-word;
}

.article-content i {
    font-size: 16px;
}

.article-content img {
    width: 100%;
    height: auto;
}

.article-content .article-meta {
    display: flex;
    align-items: center;
    margin-top: 20px;
}

.article-content .article-meta .article-view {
    margin-right: 20px;
}

.article-content .article-meta .article-date {
    display: flex;
}

.article-content .article-meta .article-date p {
    margin-left: 5px;
}

.article-content .article-desc {
    font-size: 1.2rem;
    padding: 40px 5px;
}

.article-content .article-desc h2 {
    font-size: 1.6rem;
}

.article-content .article-desc h3 {
    font-size: 1.5rem;
}

.article-content .article-desc .article-desc img {
    width: 80%;
    display: flex;
    margin: 30px auto;
}


.article-content .article-desc .article-desc .ql-video {
    width: 500px;
    height: 248px;
}

@media (max-width: 768px) {
    .article-content h1 {
        font-size: 2rem;
    }

    .article-content .article-desc {
        font-size: 1.1rem;
    }

    .article-content .article-desc h2 {
        font-size: 1.4rem;
    }

    .article-content .article-desc h3 {
        font-size: 1.3rem;
    }
}

@media (max-width: 580px) {
    .article-content .article-meta {
        flex-direction: column;
        align-items: start;
    }

    .article-content .article-meta .article-view {
        margin-bottom: 10px;
    }

    .article-desc img {
        width: 100%;
        height: auto;
        object-fit: contain;
    }

    .article-desc iframe.ql-video {
        width: 100%;
        height: auto;
    }
}